Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Section_Key_Win32 Class Reference

The Win32 registry implementation of an internal section key. More...

`#include <Configuration.h>`

Inheritance diagram for ACE_Section_Key_Win32:

[legend]
Collaboration diagram for ACE_Section_Key_Win32:

[legend]
List of all members.

## Public Member Functions
| ACE_Section_Key_Win32 (HKEY hKey)
| Constructor based on an HKEY.
## Public Attributes
HKEY | hKey_
## Protected Member Functions
virtual | ~ACE_Section_Key_Win32 (void)
| Destructor - invokes <regclosekey>.
| ACE_Section_Key_Win32 (const ACE_Section_Key_Win32 &rhs)
ACE_Section_Key_Win32 & | operator= (const ACE_Section_Key_Win32 &rhs)

## Detailed Description

The Win32 registry implementation of an internal section key.

Holds the HKEY for a section (registry key).

## Constructor & Destructor Documentation

ACE_Section_Key_Win32::ACE_Section_Key_Win32 | ( | HKEY | hKey | ) |

| Constructor based on an HKEY.

virtual ACE_Section_Key_Win32::~ACE_Section_Key_Win32 | ( | void |  | ) | `[protected, virtual]`

| Destructor - invokes <regclosekey>.

ACE_Section_Key_Win32::ACE_Section_Key_Win32 | ( | const ACE_Section_Key_Win32 & | rhs | ) | `[protected]`

## Member Function Documentation

ACE_Section_Key_Win32& ACE_Section_Key_Win32::operator= | ( | const ACE_Section_Key_Win32 & | rhs | ) | `[protected]`

## Member Data Documentation

HKEY ACE_Section_Key_Win32::hKey_

The documentation for this class was generated from the following file:

- Configuration.h